Glapt don't work on the usb version i was informed that the iso version is broke and the same problem with both. I believe its a checksum error. Any ideas or fixes would be great thanks in advance.

by the way I updated the 3.8 from the stock install to current 3.9 and it still has the same error.